<?php

use Etn\Utils\Helper;

defined('ABSPATH') || exit;

$settings =  \Etn\Core\Event\Settings\Settings::instance()->get_settings_option();


//show / hide menu depending on settings
{
    $zoom_enabled = ( empty($settings['etn_zoom_api']) ) ? "no" : "yes";
    wp_localize_script('admin-script', 'zoom_module', $zoom_enabled);
    $attendee_enabled = ( empty($settings['attendee_registration']) ) ? "no" : "yes";
    wp_localize_script('admin-script', 'attendee_module', $attendee_enabled);
}

//pick a sample date to show on dropdown options
$sample_date = strtotime('January 15 ' . date('Y'));
$date_formats = Helper::get_date_formats();

$sell_tickets                           =  (isset($settings['sell_tickets']) ? 'checked' : '');
$checked_exclude_from_search            =  (isset($settings['etn_include_from_search']) ? 'checked' : '');
$checked_purchase_login_required        =  (isset($settings['etn_purchase_login_required']) ? 'checked' : '');
$attendee_registration                  =  (isset($settings['attendee_registration']) ? 'checked' : '');
$reg_require_phone                      =  (isset($settings['reg_require_phone']) ? 'checked' : '');
$reg_require_email                      =  (isset($settings['reg_require_email']) ? 'checked' : '');
$checked_hide_time_from_details         =  (isset($settings['etn_hide_time_from_details']) ? 'checked' : '');
$checked_expired_event                  =  (isset($settings['checked_expired_event']) ? 'checked' : '');
$checked_hide_location_from_details     =  (isset($settings['etn_hide_location_from_details']) ? 'checked' : '');
$checked_hide_seats_from_details        =  (isset($settings['etn_hide_seats_from_details']) ? 'checked' : '');
$checked_hide_attendee_count_from_details=  (isset($settings['etn_hide_attendee_count_from_details']) ? 'checked' : '');
$checked_hide_organizers_from_details   =  (isset($settings['etn_hide_organizers_from_details']) ? 'checked' : '');
$checked_hide_schedule_from_details     =  (isset($settings['etn_hide_schedule_from_details']) ? 'checked' : '');
$checked_hide_address_from_details      =  (isset($settings['etn_hide_address_from_details']) ? 'checked' : '');
$attendee_remove    =  (isset($settings['attendee_remove']) ? $settings['attendee_remove'] : '');
$event_slug         =  (isset($settings['event_slug']) ? $settings['event_slug'] : '');
$speaker_slug       =  (isset($settings['speaker_slug']) ? $settings['speaker_slug'] : '');
$etn_price_label    =  (isset($settings['etn_price_label']) ? $settings['etn_price_label'] : '');
$etn_zoom_api       =  (isset($settings['etn_zoom_api']) ? 'checked' : '');
$zoom_api_key       =  (isset($settings['zoom_api_key']) ? $settings['zoom_api_key'] : '');
$zoom_secret_key    =  (isset($settings['zoom_secret_key']) ? $settings['zoom_secret_key'] : '');
$zoom_class         =  ( $etn_zoom_api == 'checked' ) ?  'zoom_section' : 'zoom_section_hide';
$settings_arr       = apply_filters( 'eventin/settings/pro_settings', [] );
?>
<div class="wrap  etn-settings-dashboard">
    <h2 class="etn-main-title"><?php esc_html_e('Eventin Settings', 'eventin'); ?></h2>
    <div class="etn-settings-tab">
        <ul class="nav-tab-wrapper etn-tab">
            <li class="attr-active">
                <a href="#etn-general_options" class="nav-tab" data-id="tab1"> <i class="eventin-general_icon"></i> <?php echo esc_html__('General', 'eventin'); ?></a>
            </li>
            <li>
                <a href="#etn-details_options" class="nav-tab" data-id="tab2"><i class="eventin-details_icon"></i><?php echo esc_html__('Details', 'eventin'); ?></a>
            </li>
            <li>
                <a href="#etn-attendee_data" class="etnshortcode-nav nav-tab" data-id="tab3"><i class="eventin-user_icon"></i><?php echo esc_html__('Attendee', 'eventin'); ?></a>
            </li>
            <li>
                <a href="#etn-user_data" class="etnshortcode-nav nav-tab" data-id="tab4"><i class="eventin-user_icon"></i><?php echo esc_html__('Zoom', 'eventin'); ?></a>
            </li>
            <li>
                <a href="#etn-hooks_options" class="etnshortcode-nav nav-tab" data-id="tab5"><i class="eventin-shortcode_icon"></i><?php echo esc_html__('Shortcode', 'eventin'); ?></a>
            </li>
        </ul>

    </div>
    <div class="etn-admin-container stuffbox">
        <div class=" etn-admin-container--body">
            <form action="" method="post" class="attr-tab-content form-group etn-admin-input-text etn-settings-from ">

                <!-- General Tab -->
                <div class="etn-settings-section attr-tab-pane attr-active" data-id="tab1" id="etn-general_options">
                    <div class="etn-settings-single-section">
                        <div class="etn-recaptcha-settings-wrapper">
                            <div class="etn-recaptcha-settings">
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Sell on Woocommerce', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Sell event tickets through Woocommerce. This will require Woocommerce plugin.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id='sell_tickets' type="checkbox" <?php echo esc_html($sell_tickets); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="sell_tickets" />
                                        <label for="sell_tickets" class="etn_switch_button_label"></label>
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label class="etn-setting-label" for="admin_mail_address"><?php esc_html_e('Admin email address', 'eventin'); ?></label>
                                        <div class="etn-desc"> <?php esc_html_e('Email will be sent from this mail address', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                    <input type="text" name="admin_mail_address"
                                        value="<?php echo esc_attr( isset($settings['admin_mail_address'] ) && $settings['admin_mail_address'] !== '' ? $settings['admin_mail_address'] : wp_get_current_user()->data->user_email ); ?>"
                                        class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Admin email address', 'eventin'); ?>">
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label class="etn-setting-label" for="captcha-method"><?php esc_html_e('Select Date Format', 'eventin'); ?></label>
                                        <div class="etn-desc"> <?php esc_html_e('Select date format to display. For instance 15-01-2020.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <select id="date_format" name="date_format" class="etn-setting-input attr-form-control etn-settings-select">
                                            <option value=''> --- </option>
                                            <?php
                                            if( is_array( $date_formats ) ){
                                                foreach ($date_formats as $key => $date_format) {
                                                    ?>
                                                    <option <?php echo esc_html( selected( $settings['date_format'], $key, false) ); ?> value='<?php echo esc_attr( $key ); ?>'> <?php echo esc_html( date( $date_format, $sample_date) ); ?> </option>
                                                    <?php
                                                }
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label for="captcha-method"><?php esc_html_e('Select Time Format:', 'eventin'); ?></label>
                                        <div class="etn-desc"> <?php esc_html_e('Select time format. For instance 12h.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <select id="time_format" name="time_format" class="etn-setting-input attr-form-control etn-settings-select">
                                            <option value=''> --- </option>
                                            <option value="24" <?php echo esc_html(selected($settings['time_format'], '24', false)); ?>> <?php echo esc_html__('24h', 'eventin'); ?> </option>
                                            <option value="12" <?php echo esc_html(selected($settings['time_format'], '12', false)); ?>><?php echo esc_html__('12h', 'eventin'); ?></option>
                                        </select>
                                    </div>
                                </div>
                                
                                <?php
                                    if( is_array( $settings_arr ) && isset( $settings_arr['expiry_settings'] ) ){
                                        echo Helper::render( $settings_arr['expiry_settings'] );
                                    }
                                ?>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Include Into Search', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Do you want to include events into search ? This will also enable taxonomy archive pages', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id='checked_exclude_from_search' type="checkbox" <?php echo esc_html($checked_exclude_from_search); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_include_from_search" />
                                        <label for="checked_exclude_from_search" class="etn_switch_button_label"></label>
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Require login', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Require login to purchase event ticket', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_purchase_login_required" type="checkbox" <?php echo esc_html($checked_purchase_login_required); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_purchase_login_required" />
                                        <label for="checked_purchase_login_required" class="etn_switch_button_label"></label>
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide Expired Events', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide expired events from event listing', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="hide_expired_events" type="checkbox" <?php echo esc_html($checked_expired_event); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="checked_expired_event" />
                                        <label for="hide_expired_events" class="etn_switch_button_label"></label>
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label><?php esc_html_e('Price label text', 'eventin'); ?> </label>
                                        <div class="etn-desc"> <?php esc_html_e('Place price label', 'eventin'); ?> </div>

                                    </div>
                                    <div class="etn-meta">
                                        <input type="text" name="etn_price_label" value="<?php echo esc_attr(isset($etn_price_label) ? $etn_price_label : ''); ?>" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Label Text', 'eventin'); ?>">
                                    </div>
                                </div>
                                <h2 class="etn-wrap-title"><?php echo esc_html__( 'Slug options','eventin' )?></h2>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label><?php esc_html_e('Event slug name', 'eventin'); ?> </label>
                                        <div class="etn-desc"> <?php esc_html_e('Place event slug here', 'eventin'); ?> </div>

                                    </div>
                                    <div class="etn-meta">
                                        <input type="text" name="event_slug" value="<?php echo esc_attr(isset($event_slug) ? $event_slug : ''); ?>" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Event slug', 'eventin'); ?>">
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label><?php esc_html_e('Speaker slug name', 'eventin'); ?> </label>
                                        <div class="etn-desc"> <?php esc_html_e('Place speaker slug here', 'eventin'); ?> </div>

                                    </div>
                                    <div class="etn-meta">
                                        <input type="text" name="speaker_slug" value="<?php echo esc_attr(isset( $speaker_slug) ? $speaker_slug : ''); ?>" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Speaker slug', 'eventin'); ?>">
                                    </div>
                                </div>

                                <h2 class="etn-wrap-title"><?php echo esc_html__( 'Color options','eventin' )?></h2>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label><?php esc_html_e('Primary color', 'eventin'  ); ?></label>
                                        <div class="etn-desc"> <?php esc_html_e("Choose primary color", 'eventin'  ); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input type="text" name="etn_primary_color" id="etn_primary_color"
                                        value="<?php echo esc_attr( isset($settings['etn_primary_color'] ) ? $settings['etn_primary_color'] : ''); ?>"
                                        />
                                    </div>
                                </div>
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label for="etn_secondary_color"><?php esc_html_e('Secondary color', 'eventin'  ); ?></label>
                                        <div class="etn-desc"> <?php esc_html_e("Choose secondary color for menu", 'eventin'  ); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input type="text" name="etn_secondary_color" id="etn_secondary_color"
                                        value="<?php echo esc_attr( isset($settings['etn_secondary_color'] ) ? $settings['etn_secondary_color'] : ''); ?>"
                                        />
                                    </div>
                                </div>

                                <?php
                                    if( is_array( $settings_arr ) && isset( $settings_arr['remainder_email'] ) ){
                                        echo Helper::kses( $settings_arr['remainder_email'] );
                                    }
                                ?>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- ./End General Tab -->

                <!-- details Tab -->
                <div class="etn-settings-section attr-tab-pane" data-id="tab2" id="etn-details_options">

                    <div class="etn-settings-single-section">
                        <div class="etn-recaptcha-settings-wrapper">
                            <div class="etn-recaptcha-settings">
                         
                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide time', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide time from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_time_from_details" type="checkbox" <?php echo esc_html($checked_hide_time_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_time_from_details" />
                                        <label for="checked_hide_time_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>

                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide location', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide location from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_location_from_details" type="checkbox" <?php echo esc_html($checked_hide_location_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_location_from_details" />
                                        <label for="checked_hide_location_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>

                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide total seats', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide total seats from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_seats_from_details" type="checkbox" <?php echo esc_html($checked_hide_seats_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_seats_from_details" />
                                        <label for="checked_hide_seats_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>

                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide attendee count', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide total attendee count from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_attendee_count_from_details" type="checkbox" <?php echo esc_html($checked_hide_attendee_count_from_details); ?> class="etn-admin-control-input" name="etn_hide_attendee_count_from_details" />
                                        <label for="checked_hide_attendee_count_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>


                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide organizers', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide organizers from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_organizers_from_details" type="checkbox" <?php echo esc_html($checked_hide_organizers_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_organizers_from_details" />
                                        <label for="checked_hide_organizers_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>

                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide schedule details', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide schedule details from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_schedule_from_details" type="checkbox" <?php echo esc_html($checked_hide_schedule_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_schedule_from_details" />
                                        <label for="checked_hide_schedule_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>


                                <div class="attr-form-group etn-label-item">
                                    <div class="etn-label">
                                        <label>
                                            <?php esc_html_e('Hide full address', 'eventin'); ?>
                                        </label>
                                        <div class="etn-desc"> <?php esc_html_e('Hide full address from event details.', 'eventin'); ?> </div>
                                    </div>
                                    <div class="etn-meta">
                                        <input id="checked_hide_address_from_details" type="checkbox" <?php echo esc_html($checked_hide_address_from_details); ?> class="etn-admin-control-input etn-form-modalinput-paypal_sandbox" name="etn_hide_address_from_details" />
                                        <label for="checked_hide_address_from_details" class="etn_switch_button_label"></label>
                                    </div>
                                </div>

                                <?php
                                    if( is_array( $settings_arr ) && isset( $settings_arr['pro_details_options'] ) ){
                                        echo Helper::kses( $settings_arr['pro_details_options'] );
                                    }
                                ?>
                            </div>

                        </div>
                    </div>

                </div>
                <!-- ./End Description Tab -->

                <!-- Attendee data tab -->
                <div class="attr-tab-pane etn-settings-section" data-id="tab3" id="etn-attendee_data">
                    <div class="attr-form-group etn-label-item">
                        <div class="etn-label">
                            <label for="attendee_registration"><?php esc_html_e('Enable attendee registration', 'eventin'); ?></label>
                            <div class="etn-desc"> <?php esc_html_e("Enable attendee registration for unique tickets and attendee tracking.", 'eventin'); ?> </div>
                        </div>
                        <div class="etn-meta">
                            <input id="attendee_registration" type="checkbox" <?php echo esc_html($attendee_registration); ?> class="etn-admin-control-input" name="attendee_registration" />
                            <label for="attendee_registration" class="etn_switch_button_label"></label>
                        </div>
                    </div>
                    <div class="attr-form-group etn-label-item">
                        <div class="etn-label">
                            <label for="reg_require_phone"><?php esc_html_e('Require phone for registration', 'eventin'); ?></label>
                            <div class="etn-desc"> <?php esc_html_e("Require attendee phone number for ticket purchase.", 'eventin'); ?> </div>
                        </div>
                        <div class="etn-meta">
                            <input id="reg_require_phone" type="checkbox" <?php echo esc_html($reg_require_phone); ?> class="etn-admin-control-input" name="reg_require_phone" />
                            <label for="reg_require_phone" class="etn_switch_button_label"></label>
                        </div>
                    </div>
                    <div class="attr-form-group etn-label-item">
                        <div class="etn-label">
                            <label for="reg_require_email"><?php esc_html_e('Require e-mail for registration', 'eventin'); ?></label>
                            <div class="etn-desc"> <?php esc_html_e("Require attendee e-mail number for ticket purchase.", 'eventin'); ?> </div>
                        </div>
                        <div class="etn-meta">
                            <input id="reg_require_email" type="checkbox" <?php echo esc_html($reg_require_email); ?> class="etn-admin-control-input" name="reg_require_email" />
                            <label for="reg_require_email" class="etn_switch_button_label"></label>
                        </div>
                    </div>
                    <div class="attr-form-group etn-label-item">
                        <div class="etn-label">
                            <label for="attendee_remove"><?php esc_html_e('Remove attendees after failed payment', 'eventin'); ?></label>
                            <div class="etn-desc"> <?php esc_html_e("Attendees with failed status will be removed from attendee list. Given number will be calculated in days.", 'eventin'); ?> </div>
                        </div>
                        <div class="etn-meta">
                            <input id='attendee_remove' type="number" value="<?php echo esc_html( $attendee_remove ); ?>" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" name="attendee_remove"
                            placeholder="<?php esc_html_e( 'no. of days' );?>" min="1"/>
                        </div>
                    </div>
                </div>
                <!-- End Attendee data tab -->

                <!-- Zoom data tab -->
                <div class="attr-tab-pane etn-settings-section" data-id="tab4" id="etn-user_data">
                    <div class="attr-form-group etn-label-item">
                        <div class="etn-label">
                            <label>
                                <?php esc_html_e('Zoom', 'eventin'); ?>
                            </label>
                            <div class="etn-desc"> <?php esc_html_e('You will get all zoom options and shortcode to show meeting.', 'eventin'); ?> </div>
                        </div>
                        <div class="etn-meta">
                            <input id="zoom_api" type="checkbox" <?php echo esc_html($etn_zoom_api); ?> class="etn-admin-control-input" name="etn_zoom_api" />
                            <label for="zoom_api" data-left="Yes" data-right="No" class="etn_switch_button_label"></label>
                        </div>
                    </div>
                    <div class="zoom_block  <?php echo esc_attr($zoom_class); ?> ">
                        <div class="attr-form-group etn-label-item">
                            <div class="etn-label">
                                <label class="etn-setting-label" for="zoom_api_key"><?php esc_html_e('Api key', 'eventin'); ?></label>
                                <div class="etn-desc"> <?php esc_html_e('Place api key here that you get from zoom acount', 'eventin'); ?> </div>
                            </div>
                            <div class="etn-meta">
                                <div class="etn-secret-key">
                                    <input type="password" class="etn-setting-input attr-form-control" name="zoom_api_key" value="<?php echo esc_attr($zoom_api_key); ?>" id="zoom_api_key" />
                                    <span><i class="fa fa-eye-slash eye_toggle_click"></i></span>
                                </div>
                            </div>
                        </div>
                        <div class="attr-form-group etn-label-item">
                            <div class="etn-label">
                                <label class="etn-setting-label" for="zoom_secret_key"><?php esc_html_e('Secret key', 'eventin'); ?></label>
                                <div class="etn-desc"> <?php esc_html_e('Place api key here that you get from zoom acount', 'eventin'); ?> </div>
                            </div>
                            <div class="etn-meta">
                                <div class="etn-secret-key">
                                    <input type="password" class="etn-setting-input attr-form-control" name="zoom_secret_key" value="<?php echo esc_attr($zoom_secret_key); ?>" id="zoom_secret_key" />
                                    <span><i class="fa fa-eye-slash eye_toggle_click"></i></span>
                                </div>

                                <div class="etn-api-connect-wrap">
                                    <div class="mb-3 api-keys-msg"><?php echo esc_html__('After entering your keys , must save changes first. Then check connection.', 'eventin') ?></div>
                                    <button type="button" class="etn-btn etn-btn-primary check_api_connection"><?php echo esc_html__('Check connection', 'eventin') ?></button>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <!-- End Zoom Tab -->

                <!-- hooks -->
                <div class="attr-tab-pane etn-settings-section etn-shortcode-settings" data-id="tab5" id="etn-hooks_options">
                    <div class="etn-settings-single-section">
                        <div class="attr-form-group etn-label-item">
                            <div class="etn-label">
                                <label><?php esc_html_e('Event List', 'eventin'); ?> </label>
                                <div class="etn-desc"> <?php esc_html_e("You can use [events limit='1' event_cat_ids='1,2' event_tag_ids='1,2' /]", 'eventin'); ?> </div>
                            </div>
                            <div class="etn-meta">
                                <input type="text" readonly name="etn_event_label" id="event_list" value="[events]" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Label Text', 'eventin'); ?>">
                                <button type="button" onclick="copyTextData('event_list');" class="etn_copy_button etn-btn"><span class="dashicons dashicons-category"></span></button>
                            </div>
                        </div>
                        <div class="attr-form-group etn-label-item">
                            <div class="etn-label">
                                <label><?php esc_html_e('Speaker List', 'eventin'); ?> </label>
                                <div class="etn-desc"> <?php esc_html_e("Use id of the category which is being used as speaker. You can use [speakers cat_id='19' limit='3'/]", 'eventin'); ?> </div>
                            </div>
                            <div class="etn-meta">
                                <input type="text" readonly name="etn_speaker_label" id="speaker_list" value="[speakers cat_id='19']" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Label Text', 'eventin'); ?>">
                                <button type="button" onclick="copyTextData('speaker_list');" class="etn_copy_button etn-btn"><span class="dashicons dashicons-category"></span></button>
                            </div>
                        </div>
                        <div class="attr-form-group etn-label-item">
                            <div class="etn-label">
                                <label><?php esc_html_e('Schedule List', 'eventin'); ?> </label>
                                <div class="etn-desc"> <?php esc_html_e("Use comma seperated schedule id's that you want to show in schedule list", 'eventin'); ?> </div>
                            </div>
                            <div class="etn-meta">
                                <input type="text" readonly name="etn_schedule_label" id="schedule_list" value="[schedules ids ='18,19'/]" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Label Text', 'eventin'); ?>">
                                <button type="button" onclick="copyTextData('schedule_list');" class="etn_copy_button etn-btn"><span class="dashicons dashicons-category"></span></button>
                            </div>
                        </div>
                        <?php
                        if (isset($settings['etn_zoom_api']) &&  $settings['etn_zoom_api'] == 'on') {
                        ?>
                            <div class="attr-form-group etn-label-item">
                                <div class="etn-label">
                                    <label><?php esc_html_e('Zoom meeting details', 'eventin'); ?> </label>
                                    <div class="etn-desc"> <?php esc_html_e("Use meeting id to show meeting details. You can use [etn_zoom_api_link meeting_id=''  link_only='yes'] ", 'eventin'); ?> </div>

                                </div>
                                <div class="etn-meta">
                                    <input type="text" readonly name="meeting_info" id="etn_zoom_metting" value="[etn_zoom_api_link meeting_id ='123456789' link_only='no']" class="etn-setting-input attr-form-control etn-recaptcha-secret-key" placeholder="<?php esc_html_e('Label Text', 'eventin'); ?>">
                                    <button type="button" onclick="copyTextData('etn_zoom_metting');" class="etn_copy_button etn-btn"><span class="dashicons dashicons-category"></span></button>
                                </div>
                            </div>
                        <?php
                        }
                        if( is_array( $settings_arr ) && isset( $settings_arr['pro_shortcode'] ) ){
                            echo Helper::kses( $settings_arr['pro_shortcode'] );
                        }
                        ?>
                    </div>
                </div>

                <input type="hidden" name="etn_settings_page_action" value="save">
                <input type="submit" name="submit" id="submit" class="etn-btn etn-btn-secondary" value="<?php esc_html_e('Save Changes', 'eventin'); ?>">

                <?php wp_nonce_field('etn-settings-page', 'etn-settings-page'); ?>
            </form>
        </div>
    </div>
</div>