<?php
if (!defined('ABSPATH')) exit;

use \Etn\Utils\Utilities as Utilities;
use \Etn\Utils\Helper as Helper;

?>

<div class="etn-event-archive-wrap">
    <div class="etn-container">
        <div class="etn-row etn-event-wrapper">
            <?php
            if (have_posts()) {

                while (have_posts()) {
                    the_post();

                    $etn_event_location = get_post_meta(get_the_ID(), 'etn_event_location', true);
                    $etn_start_date     = get_post_meta(get_the_ID(), 'etn_start_date', true);
                    $event_start_date   = isset($event_options["date_format"]) && $event_options["date_format"] !== '' ? date($date_options[$event_options["date_format"]], strtotime($etn_start_date)) : date('d/m/Y', strtotime($etn_start_date));
                    ?>
                    <div class="etn-col-md-6 etn-col-lg-4">
                        <div class="etn-event-item">
                            <?php
                            if (has_post_thumbnail()) {
                            ?>
                                <!-- thumbnail -->
                                <div class="etn-event-thumb">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php the_post_thumbnail(); ?>
                                    </a>

                                </div>
                            <?php
                            }
                            ?>
                            <!-- thumbnail start-->

                            <!-- content start-->
                            <div class="etn-event-content">
                                <div class="etn-event-location"><i class="fas fa-map-marker-alt"></i> <?php echo esc_html($etn_event_location); ?></div>
                                <h3 class="etn-title etn-event-title"><a href="<?php echo esc_url(get_the_permalink()) ?>"><?php echo esc_html(get_the_title()); ?></a> </h3>
                                <p><?php echo get_the_excerpt(); ?></p>

                            </div>
                            <!-- content end-->

                            <div class="etn-event-footer">
                                <div class="etn-event-date">
                                    <i class="far fa-calendar-alt"></i>
                                    <?php echo  esc_html($event_start_date); ?> </div>
                            </div>
                        </div>
                        <!-- etn event item end-->
                    </div>
                    <?php
                }
            }
            ?>
        </div>
    </div>
</div>