    <?php
    defined('ABSPATH') || exit;

    use Etn\Utils\Helper as Helper;
    use \Etn\Utils\Utilities as Utilities;
    // get options to render in template
    $data = Utilities::single_template_options();
    if( is_array( $data ) && count( $data ) > 0 ):
        $category               = isset( $data['category']) ? $data['category'] : "";
        $etn_event_schedule     = isset( $data['etn_event_schedule']) ? $data['etn_event_schedule'] : [];
        $event_options          = isset( $data['event_options']) ? $data['event_options'] : [];
        $text_domain            = isset( $data['text_domain']) ? $data['text_domain'] : 'eventin';
        $event_start_date       = isset( $data['event_start_date']) ? $data['event_start_date'] : '';
        $event_end_date         = isset( $data['event_end_date']) ? $data['event_end_date'] : '';
        $event_start_time       = isset( $data['event_start_time']) ? $data['event_start_time'] : '';
        $event_end_time         = isset( $data['event_end_time']) ? $data['event_end_time'] : '';
        $etn_deadline_value     = isset( $data['etn_deadline_value']) ? $data['etn_deadline_value'] : '';
        $etn_event_location     = isset( $data['etn_event_location']) ? $data['etn_event_location'] : '';
        $etn_left_tickets       = isset( $data['etn_left_tickets']) ? $data['etn_left_tickets'] : '';
        $etn_organizer_events   = isset( $data['etn_organizer_events']) ? $data['etn_organizer_events'] : '';
        $date_options           = isset( $data['date_options']) ? $data['date_options'] : [];
        $etn_event_socials      = isset( $data['etn_event_socials']) ? $data['etn_event_socials'] : [];
        $etn_ticket_price       = isset( $data['etn_ticket_price']) ? $data['etn_ticket_price'] : '';
        $etn_ticket_unlimited   = isset( $data['etn_ticket_unlimited']) && ( "on" == $data['etn_ticket_unlimited'] ) ? false : true;
        ?>

    <div class="etn-event-single-wrap">
        <div class="etn-container">
            <div class="etn-row">
                <div class="etn-col-lg-8">
                    <div class="etn-event-single-content-wrap">
                        <div class="etn-event-entry-header">
                            <div class="etn-event-meta">
                                <div class="etn-event-category">
                                    <?php
                                    global $post;
                                    $etn_cat_terms = wp_get_post_terms(get_the_id(), 'etn_category');
                                    if ($etn_cat_terms) {
                                        $output = array();
                                        if( is_array( $etn_cat_terms ) ){
                                            foreach ($etn_cat_terms as $term) {
                                                $term_link =  get_term_link($term->slug, 'etn_category');
                                                $output[] = '<a href="' . $term_link . '">' . $term->name . '</a>';
                                            }
                                        }
                                        echo "<span>" . Helper::kses(join(' ', $output)) . "</span>";
                                    }
                                    ?>
                                </div>
                                <div class="etn-event-social-wrap">
                                    <i class="fas fa-share-alt"></i>
                                    <div class="etn-social">
                                        <?php if (is_array($etn_event_socials)) : ?>
                                            <?php foreach ($etn_event_socials as $social) : ?>
                                                <?php $etn_social_class = 'etn-' . str_replace('fab fa-', '', $social['icon']); ?>
                                                <a href="<?php echo esc_url($social['etn_social_url']); ?>" target="_blank" class="<?php echo esc_attr($etn_social_class); ?>"> <i class="<?php echo esc_attr($social['icon']); ?>"></i> </a>
                                            <?php endforeach; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            <h2 class="etn-event-entry-title"> <?php echo esc_html(get_the_title()); ?> </h2>
                        </div>
                        <?php if (has_post_thumbnail()) : ?>
                            <div class="etn-single-event-media">
                                <img src="<?php echo esc_url(get_the_post_thumbnail_url()); ?>" alt="<?php the_title_attribute(); ?>" />
                            </div>
                        <?php endif; ?>

                        <div class="etn-event-content-body">
                            <?php the_content(); ?>
                        </div>
                        <div class="etn-event-tag-list">
                            <?php
                            global $post;
                            $etn_terms = wp_get_post_terms(get_the_id(), 'etn_tags');
                            if ($etn_terms) {
                            ?>
                                <h4 class="etn-tags-title"><?php echo esc_html__('Tags', "eventin"); ?></h4>
                            <?php
                                $output = array();
                                if( is_array( $etn_terms ) ){
                                    foreach ($etn_terms as $term) {
                                        $term_link =  get_term_link($term->slug, 'etn_tags');
                                        $output[] = '<a href="' . $term_link . '">' . $term->name . '</a>';
                                    }
                                }
                                echo Helper::kses(join(' ', $output));
                            }
                            ?>
                        </div>
                    </div>

                    <?php
                    if (!isset($event_options["etn_hide_schedule_from_details"])) {
                        if (is_array($etn_event_schedule)) {
                            $args = array(
                                'post__in' => $etn_event_schedule,
                                'orderby' => 'post_date',
                                'order' => 'asc',
                                'post_type' => 'etn-schedule',
                                'post_status' => 'publish',
                                'suppress_filters' => false,
                            );

                            $schedule_query = get_posts($args);

                            ?>
                            <!-- schedule tab start -->
                            <div class="schedule-tab-wrapper">
                                <ul class='etn-nav'>
                                    <?php
                                    $i = -1;
                                    if( is_array( $schedule_query ) ){
                                        foreach ($schedule_query as $post) :
                                            $i++;
                                            $schedule_meta = get_post_meta(get_the_ID());
                                            $schedule_date = strtotime($schedule_meta['etn_schedule_date'][0]);
                                            $schedule_date = date("d M", $schedule_date);
                                            $active_class = (($i == 0) ? 'etn-active' : ' ');
                                            ?>
                                            <li>
                                                <a href='#' class='etn-tab-a <?php echo esc_attr($active_class); ?>' data-id='tab<?php echo esc_attr($i); ?>'>
                                                    <span class='etn-date'><?php echo esc_html($schedule_date); ?></span>
                                                    <span class=etn-day><?php echo esc_html($post->post_title); ?></span>
                                                </a>
                                            </li>
                                            <?php 
                                        endforeach; 
                                    }
                                    ?>
                                </ul>
                                <div class='etn-tab-content clearfix etn-schedule-wrap'>
                                    <?php
                                    $j = -1;
                                    if( is_array( $schedule_query ) ){
                                        foreach ($schedule_query as $post) :
                                            $j++;
                                            $schedule_meta = get_post_meta(get_the_ID());
                                            $schedule_date = strtotime($schedule_meta['etn_schedule_date'][0]);
                                            $schedule_topics = unserialize($schedule_meta['etn_schedule_topics'][0]);
                                            $schedule_date = date("d M", $schedule_date);
                                            $active_class = (($j == 0) ? 'tab-active' : ' ');
                                            ?>
                                            <!-- start repeatable item -->
                                            <div class='etn-tab <?php echo esc_attr($active_class); ?>' data-id='tab<?php echo esc_attr($j); ?>'>
                                                <?php
                                                $etn_tab_time_format = ( isset( $event_options["time_format"] ) && $event_options["time_format"] == '24' ) ? "H:i" : "h:i a";
                                                if( is_array( $schedule_topics ) ){
                                                    foreach ($schedule_topics as $topic) :
                                                        $etn_schedule_topic = (isset($topic['etn_schedule_topic']) ? $topic['etn_schedule_topic'] : '');
                                                        $etn_schedule_start_time = date($etn_tab_time_format, strtotime($topic['etn_shedule_start_time']));
                                                        $etn_schedule_end_time = date($etn_tab_time_format, strtotime($topic['etn_shedule_end_time']));
                                                        $etn_schedule_room = (isset($topic['etn_shedule_room']) ? $topic['etn_shedule_room'] : '');
                                                        $etn_schedule_objective = (isset($topic['etn_shedule_objective']) ? $topic['etn_shedule_objective'] : '');
                                                        $etn_schedule_speaker = (isset($topic['etn_shedule_speaker']) ? $topic['etn_shedule_speaker'] : []);
        
                                                        ?>
                                                        <div class='etn-single-schedule-item etn-row'>
                                                            <div class='etn-schedule-info etn-col-sm-4'>
                                                                <span class='etn-schedule-time'><?php echo esc_html($etn_schedule_start_time) . " - " . esc_html($etn_schedule_end_time); ?></span>
                                                                <span class='etn-schedule-location'>
                                                                    <i class='fas fa-map-marker-alt'></i>
                                                                    <?php echo esc_html($etn_schedule_room); ?>
                                                                </span>
                                                            </div>
                                                            <div class='etn-schedule-content etn-col-sm-8'>
                                                                <h4 class='etn-title'><?php echo esc_html($etn_schedule_topic); ?></h4>
                                                                <p><?php echo esc_html($etn_schedule_objective); ?></p>
                                                                <div class='etn-schedule-content'>
                                                                    <div class='etn-schedule-speaker'>
                                                                        <?php
                                                                        if (is_array($etn_schedule_speaker) && !empty($etn_schedule_speaker)) {
                                                                            foreach ($etn_schedule_speaker as $key => $value) {
                                                                                $speaker_thumbnail = get_the_post_thumbnail_url($value);
                                                                                $etn_schedule_single_speaker = get_post($value);
                                                                                $etn_speaker_permalink = get_post_permalink($value);
                                                                                $speaker_title = $etn_schedule_single_speaker->post_title;
                                                                                ?>
                                                                                <div class='etn-schedule-single-speaker'>
                                                                                    <a href='<?php echo esc_url($etn_speaker_permalink); ?>'>
                                                                                        <img src='<?php echo esc_url($speaker_thumbnail); ?>' alt='<?php echo esc_attr($speaker_title); ?>'>
                                                                                    </a>
                                                                                    <span class='etn-schedule-speaker-title'><?php echo esc_html($speaker_title); ?></span>
                                                                                </div>
                                                                                <?php
                                                                            }
                                                                        }
                                                                        ?>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <?php 
                                                    endforeach; 
                                                }
                                                ?>
                                            </div>
                                            <!-- end repeatable item -->
                                            <?php 
                                        endforeach;
                                    }
                                    wp_reset_postdata(); ?>
                                </div>
                            </div>
                            <!-- schedule tab end -->
                            <?php 
                        }
                    }
                    $default_faq_view = "";
                    $faq_view = apply_filters("etn_faq_view", $default_faq_view, get_the_id());
                    echo Helper::render($faq_view);
                    ?>

                </div><!-- col end -->

                <div class="etn-col-lg-4">
                    <div class="etn-sidebar">
                        <div class="etn-event-meta-info etn-widget">
                            <ul>
                                <li>
                                    <span> <?php echo esc_html__('Date : ', "eventin"); ?></span>
                                    <?php echo esc_html($event_start_date . " - " . $event_end_date); ?>
                                </li>
                                <li>
                                    <span><?php echo esc_html__('Time : ', "eventin"); ?></span>
                                    <?php echo esc_html($event_start_time . " - " . $event_end_time); ?>
                                </li>
                                <li>
                                    <span><?php echo esc_html__('Registration Deadline : ', "eventin"); ?></span>
                                    <?php echo esc_html($etn_deadline_value); ?>
                                </li>
                                <li>
                                    <?php
                                    if (
                                        !isset($event_options["etn_hide_location_from_details"])
                                    ) {
                                        ?>
                                        <span><?php echo esc_html__('Venue : ', "eventin") ?></span>
                                        <?php echo esc_html($etn_event_location);  ?>
                                    <?php } ?>
                                </li>
                            </ul>
                            <?php
                            ?>
                        </div> <!-- event schedule meta end -->
                        <?php
                        // if active woocmmerce and has ticket , show registation form 
                        if (isset( $event_options["sell_tickets"] ) && is_plugin_active('woocommerce/woocommerce.php') ){ 

                            $purchase_form_widget = ETN_CORE . "event/views/purchase-form/woo-ticket-widget.php";
                            if( file_exists( $purchase_form_widget ) ){
                                include_once $purchase_form_widget;
                            }
                        }

                        // show event organizers
                        if ( !isset( $event_options["etn_hide_organizers_from_details"] ) ) { 
                            Utilities::single_template_organizer( $etn_organizer_events );
                            //  etn widget end 
                        }
                        ?>
                    </div>
                    <!-- etn sidebar end -->
                </div>
                <!-- col end -->
            </div>
            <!-- Row end -->

            <?php if (!isset($event_options["hide_related_event_from_details"])) : ?>            
                <!-- related post start -->
                <div class="etn-event-related-post">
                    <?php
                    $etn_term_ids = array();
                    if ($etn_terms) {
                        foreach ($etn_terms as $terms) {
                            array_push($etn_term_ids, $terms->term_id);
                        }
                    }
                    $data = Helper::post_data_query('etn', 5, null, $etn_term_ids, "etn_tags", null, array(get_the_id()) );
                    if (is_array( $data ) && !empty( $data )) {
                        ?>
                        <h3 class="related-post-title"><?php echo esc_html__('Related Events', "eventin"); ?></h3>
                        <div class="etn-row">
                            <?php
                            foreach ($data as $value) {
                                $start_date  = strtotime( get_post_meta($value->ID, 'etn_start_date', true));
    
                                $start_date  = (isset($event_options["date_format"]) && $event_options["date_format"] !== '') ? date( $date_options[$event_options["date_format"]], $start_date ) : date('d/m/Y', $start_date);
                                $related_event_location = get_post_meta( $value->ID, 'etn_event_location', true);
                                ?>
                                <div class="etn-col-lg-4 etn-col-md-6">
                                    <div class="etn-event-item">
                                        <?php 
                                        if (get_the_post_thumbnail_url($value->ID)) { 
                                            ?>
                                            <div class="etn-event-thumb">
                                                <a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>">
                                                    <img src="<?php echo esc_url( get_the_post_thumbnail_url($value->ID) ); ?>" alt="<?php the_title_attribute($value->ID); ?>">
                                                </a>
                                                <div class="etn-event-category">
                                                    <?php echo  Helper::kses($category); ?>
                                                </div>
                                            </div>
                                            <?php 
                                        } 
                                        ?>
                                        <div class="etn-event-content">
                                            <?php 
                                            if (isset($related_event_location) && $related_event_location != '') { 
                                                ?>
                                                <div class="etn-event-location">
                                                    <i class="fas fa-map-marker-alt"></i> 
                                                    <?php echo esc_html($related_event_location); ?>
                                                </div>
                                                <?php 
                                            } 
                                            ?>
                                            <h3 class="etn-title etn-event-title">
                                                <a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>"> 
                                                    <?php echo esc_html(get_the_title($value->ID)); ?>
                                                </a> 
                                            </h3>
                                            <p>
                                                <?php echo esc_html( Helper::trim_words( $value->post_content, 8 ) ); ?>
                                            </p>
                                            <div class="etn-event-footer">
                                                <div class="etn-event-date">
                                                    <i class="far fa-calendar-alt"></i>
                                                    <?php echo esc_html($start_date); ?>
                                                </div>
                                                <div class="etn-atend-btn">
                                                    <a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>" class="etn-btn etn-btn-border"><?php echo esc_html__('attend', "eventin") ?> <i class="fas fa-arrow-right"></i></a>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            <?php
                            }  
                            ?>
                        </div>
                        <?php } ?>
                </div>
                <!-- related post end -->
            <?php endif; ?>
        </div>
    </div>

    <?php  endif; ?>