<?php
    use Etn\Utils\Helper as Helper;
    $ticket_qty        = get_post_meta( get_the_id(), "etn_sold_tickets", true );
    $total_sold_ticket = isset( $ticket_qty ) ? intval( $ticket_qty ) : 0;
?>
<div class="etn-single-page-ticket-count-text-holder">
    <?php
        if ( !isset($event_options["etn_hide_seats_from_details"]) ) {
            ?>
            <div class="etn-form-ticket-text">
                <?php
                if( $etn_ticket_unlimited ){
                    echo esc_html__( "This event offers unlimited tickets", "eventin" );
                }else {
                    echo esc_html($etn_left_tickets) . esc_html__(' seats remaining', "eventin");
                }
                ?>
            </div>
            <?php
        } 
        if( !isset($event_options["etn_hide_attendee_count_from_details"]) ){
            ?>
            <div class="etn-form-ticket-text">
                <?php echo esc_html( $total_sold_ticket ) . esc_html__(" attendees so far.", "eventin"); ?>
            </div>
            <?php
        }
    ?>
</div>
<form action="" method="post" class="etn-event-form-parent">
    <input name="add-to-cart" type="hidden" value="<?php echo intval(get_the_id()); ?>" />
    <input name="event_name" type="hidden" value="<?php echo esc_html(get_the_title()); ?>" />
    <div class="etn-row etn-item-row">
        <div class="etn-qty-field etn-col-lg-6">
            <label for="etn_product_qty">
                <?php echo esc_html__('Quantity', "eventin"); ?>
            </label>
            <input id="etn_product_qty" class="attr-form-control etn-event-form-qty" name="quantity" type="number" value="1" min="1" data-left_ticket="<?php echo esc_html($etn_left_tickets); ?>" data-invalid_qty_text="<?php echo esc_html__("Invalid Qty", "eventin");?>" />
        </div>
        <div class="etn-price-field etn-col-lg-6">
            <label for="etn_product_price">
                <?php echo isset($event_options["etn_price_label"]) && ( "" != $event_options["etn_price_label"]) ? esc_html($event_options["etn_price_label"]) : esc_html__('Price', "eventin"); ?>
            </label>
            <input id="etn_product_price" class="attr-form-control etn-event-form-price" readonly name="price" type="number" value="<?php echo esc_attr($etn_ticket_price); ?>" min="1" />
        </div>
    </div>

    <div class="etn-total-price">
        <?php echo esc_html__('Total price', "eventin"); ?>
        <?php echo esc_html(get_woocommerce_currency_symbol()); ?>
        <span id="etn_form_price">
            <?php echo esc_html($etn_ticket_price); ?>
        </span>
    </div>

    <?php
    $show_form_button = apply_filters("etn_form_submit_visibility", true, get_the_id());

    if ($show_form_button === false) {
        ?>
        <small><?php echo esc_html__('Event already expired!', "eventin"); ?></small>
        <?php
    } else {
        if (!isset($event_options["etn_purchase_login_required"]) || (isset($event_options["etn_purchase_login_required"]) && is_user_logged_in())) {
            ?>
            <input name="submit" class="etn-btn etn-primary etn-add-to-cart-block" type="submit" value="<?php echo esc_html__("Add to cart", "eventin");?>" />
            <?php
        } else {
            ?>
            <small><?php echo esc_html__('Please login to buy ticket!', "eventin"); ?></small>
            <?php
        }
    }
    ?>
</form>