<div class="etn-widget etn-ticket-widget">
    <?php

use Etn\Utils\Helper;

if ($etn_left_tickets > 0) {
        ?>
        <h4 class="etn-widget-title etn-title etn-form-title"> <?php echo esc_html__("Registration Form", "eventin"); ?> </h4>
        <?php

        $settings = Helper::get_settings();
        $attendee_reg_enable = !empty( $settings["attendee_registration"] ) ? true : false;

        if( $attendee_reg_enable ){
            $purchase_form_template = ETN_CORE . "event/views/purchase-form/template/form-template-with-attendee.php";
        } else {
            $purchase_form_template = ETN_CORE . "event/views/purchase-form/template/form-template-no-attendee.php";
        }

        $form_template          = apply_filters("etn/purchase_form_template", $purchase_form_template);
        if( file_exists( $form_template ) ){
            include_once $form_template;
        }

    } else { 
        ?>
        <h6><?php echo esc_html__('No Tickets Available!!', "eventin"); ?></h6>
        <?php
    } 

    // check if this is a zoom event
    $is_zoom_event = get_post_meta( get_the_id(), 'etn_zoom_event', true );
    if( isset( $is_zoom_event ) && "on" == $is_zoom_event){
        ?>
        <div class="etn-zoom-event-notice">
            <?php echo esc_html__("[Note: This event will be held on zoom. Attendee will get zoom meeting URL through email]", "eventin");?>
        </div>
        <?php
    }
    ?>
</div>