<?php
get_header();

$etn_show_event = true;
if( isset(  $_POST['ticket_purchase_next_step'] )  && ( $_POST['ticket_purchase_next_step'] !== "two" || $_POST['ticket_purchase_next_step'] !== "three" )){
	$etn_show_event = false;
}
//check if it's called from form submission or from single page
if ( $etn_show_event === true ) {
	$options       = get_option( 'etn_event_general_options' );
	$container_cls = isset( $options['single_post_container_width_cls'] ) ? $options['single_post_container_width_cls'] : '';

	$settings      = \Etn\Core\Event\Settings\Settings::instance()->get_settings_option();
	$template_name = isset( $settings['event_template'] ) && !is_null( $settings['event_template'] ) && !empty( $settings['event_template'] ) ? $settings['event_template'] : "";

	do_action( "etn_event_content_before" );
	?>
	<div class="etn-es-events-page-container <?php echo esc_attr( $container_cls." ". $template_name ); ?>">
		<?php
			while ( have_posts() ) {

				//show woocommerce notice
				if ( class_exists( 'WooCommerce' ) ) {
					wc_print_notices();
				}
				
				the_post();

				//check if single page template is overriden from theme
				//if overriden, then the overriden template has higher priority
				if ( file_exists( get_template_directory() . '/eventin/view/single/event.php' ) ) {
					require_once get_template_directory() . '/eventin/view/single/event.php';
				} else {
				
					// check if multi-template settings exists
					if ( "" == $template_name || "event-one" == $template_name ) {
						$plugin_path   = ETN_DIR;
						$template_path = "/core/event/views/parts/";
						$template_name = "event-one";
						$single_template_path = $plugin_path . $template_path . $template_name . ".php";

						if( file_exists(  $single_template_path ) ){
							require_once $single_template_path;
						}
					} else {
						if( class_exists('Etn_Pro\Bootstrap') ){
							$plugin_path   			= Etn_Pro\Bootstrap::instance()->plugin_dir();
							$template_path 			= "/core/event/views/parts/";
							$single_template_path   = $plugin_path . $template_path . $template_name . ".php";
							if( file_exists( $single_template_path ) ){
								require_once $single_template_path ;
							}
						}
					}
				}
			}
		?>
	</div>
	<?php 
	do_action( "etn_event_content_after" );
}
get_footer();
?>