<?php
use \Etn\Utils\Utilities as Utilities;
use \Etn\Utils\Helper;

$etn_speaker_designation        = get_post_meta(get_the_id(), 'etn_speaker_designation', true);
$etn_speaker_summary            = get_post_meta(get_the_id(), 'etn_speaker_summery', true);
$etn_speaker_company_logo       = get_post_meta(get_the_id(), 'etn_speaker_company_logo', true);
$etn_speaker_website_url        = get_post_meta(get_the_id(), 'etn_speaker_website_url', true);
$etn_speaker_website_email      = get_post_meta(get_the_id(), 'etn_speaker_website_email', true);
$etn_speaker_socials            = get_post_meta(get_the_id(), 'etn_speaker_socials', true);
$logo                           = wp_get_attachment_image_src($etn_speaker_company_logo);

?>
<div class="etn-single-speaker-wrapper">
	<div class="etn-row">
		<div class="etn-col-lg-5">
			<div class="etn-speaker-info">
				<?php if (has_post_thumbnail()) : ?>
					<div class="etn-speaker-thumb">
						<img src="<?php echo esc_url( get_the_post_thumbnail_url() ); ?>" height="150" width="150" alt="<?php the_title_attribute(); ?>"/>
					</div>
				<?php endif; ?>
				<h3 class="etn-title etn-speaker-name"> <?php echo esc_html(get_the_title()); ?> </h3>
				<p class="etn-speaker-designation"><?php echo Helper::kses($etn_speaker_designation); ?></p>
				<p class="etn-speaker-desc"> <?php echo esc_html($etn_speaker_summary); ?></p>
				<div class="etn-social">
					<?php if (is_array($etn_speaker_socials)) : ?>
						<?php foreach ($etn_speaker_socials as $social) : ?>
							<?php $etn_social_class = 'etn-' . str_replace('fab fa-', '', $social['icon']); ?>
							<a href="<?php echo esc_url($social['etn_social_url']); ?>" target="_blank" class="<?php echo esc_attr($etn_social_class); ?>"> <i class="<?php echo esc_attr($social['icon']); ?>"></i> </a>
						<?php endforeach; ?>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<div class="etn-col-lg-7">
			<div class="etn-schedule-wrap">
				<?php
				$speaker_id = get_the_id() ;
				$orgs = Utilities::speaker_sessions( $speaker_id );
				if( is_array( $orgs ) && !empty( $orgs ) ) {
					foreach ( $orgs as $org ) {
						$etn_schedule_meta_value = maybe_unserialize( $org['meta_value'] );
						
						if( is_array( $etn_schedule_meta_value ) && !empty( $etn_schedule_meta_value ) ){
							foreach ($etn_schedule_meta_value as $single_meta) {

								$speaker_schedules = isset($single_meta["etn_shedule_speaker"]) && is_array($single_meta["etn_shedule_speaker"]) ? $single_meta["etn_shedule_speaker"]: [];
								if ( in_array( $speaker_id, $speaker_schedules ) ) {
									?>
									<div class="etn-single-schedule-item etn-row">
										<div class="etn-schedule-info etn-col-lg-4">
											<span class="etn-schedule-time"><?php echo  esc_html(date('h:i a', strtotime($single_meta["etn_shedule_start_time"]))) . " - " .  esc_html(date('h:i a', strtotime($single_meta["etn_shedule_end_time"]))); ?></span>
											<span class="etn-schedule-location"><i class="fas fa-map-marker-alt"></i><?php echo esc_html($single_meta["etn_shedule_room"]); ?></span>
										</div>
										<div class="etn-schedule-content etn-col-lg-8">
											<h4 class="etn-title"><?php echo esc_html($single_meta["etn_schedule_topic"]); ?></h4>
											<p><?php echo esc_html(trim($single_meta["etn_shedule_objective"])); ?></p>
										</div>
									</div>
									<?php
								}
							}
						}
						
					}
				}
				?>
			</div>
		</div>
	</div>
</div>