<?php get_header(); ?>

<?php
$options       = get_option('etn_event_general_options');
$container_cls = isset($options['single_post_container_width_cls']) ? $options['single_post_container_width_cls'] : '';
?>

<?php do_action("etn_speaker_content_before"); ?>

<div class="etn-speaker-page-container  <?php echo esc_attr($container_cls); ?>">
    <div class="etn-container">
        <?php
        while (have_posts()) {
            the_post();

            //check if single page template is overriden from theme
            //if overriden, then the overriden template has higher priority
            if (file_exists(get_template_directory() . '/eventin/view/single/speaker.php')) {
                require_once get_template_directory() . '/eventin/view/single/speaker.php';
            } else {

                $settings      = \Etn\Core\Event\Settings\Settings::instance()->get_settings_option();
                $template_name = isset($settings['speaker_template']) && !is_null($settings['speaker_template']) && !empty($settings['speaker_template']) ? $settings['speaker_template'] : "";

                //check if multi-template settings exists
                if (("" === $template_name || "speaker-one" == $template_name)) {
                    $plugin_path   = ETN_DIR;
                    $template_path = "/core/speaker/views/parts/";
                    $template_name = "speaker-one";
                    $single_template_path = $plugin_path . $template_path . $template_name . ".php";
                    if( file_exists(  $single_template_path ) ){
						require_once $single_template_path;
					}
                } else {
                    if( class_exists('Etn_Pro\Bootstrap') ){
						$plugin_path   			= Etn_Pro\Bootstrap::instance()->plugin_dir();
						$template_path 			= "/core/speaker/views/parts/";
						$single_template_path   = $plugin_path . $template_path . $template_name . ".php";
						if( file_exists( $single_template_path ) ){
							require_once $single_template_path ;
						}
					}

                }
            }
        }
        ?>
    </div>
</div>

<?php
do_action("etn_speaker_content_after");
get_footer();
?>