<?php

namespace Etn\Core\Zoom_Meeting;

defined('ABSPATH') || exit;

class Hooks{

  use \Etn\Traits\Singleton;

  public $cpt;
  public $base;
  public $category;
  public $tags;
  public $settings;
  public $event_action;
  public $post_type = 'etn-zoom-meeting';

  /**
   * Main hook function
   *
   * @return void
   */
  public function init() {

    // working Zoom module
    \Etn\Core\Zoom_Meeting\Cpt::instance();
    // category
    \Etn\Core\Zoom_Meeting\Category::instance();
    // tag
    \Etn\Core\Zoom_Meeting\Tags::instance();

    // call ajax submit
    if (defined('DOING_AJAX') && DOING_AJAX) {
        \Etn\Core\Zoom_Meeting\Ajax_Action::instance()->init();
    }
    // custom post meta
    $_metabox = new  \Etn\Core\Zoom_Meeting\Zoom_Meeting_Meta();
    add_action('add_meta_boxes', [$_metabox, 'register_meta_boxes']);
    add_action('save_post', [$_metabox, 'save_meta_box_data']);
    add_filter('wp_insert_post_data', array($_metabox, 'save_zoom_meta_data'), 500, 2);
    add_action( 'admin_notices', array( $_metabox , 'admin_notices' ) );     
  }
}
