<?php
defined( 'ABSPATH' ) || exit;

/**
 * Plugin Name:       WP Event Solution
 * Plugin URI:        https://themewinter.com/eventin/
 * Description:       Simple and Easy to use Event Management Solution
 * Version:           2.1.1
 * Author:            Themewinter
 * Author URI:        https://themewinter.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       eventin
 * Domain Path:       /languages
 */

require_once plugin_dir_path( __FILE__ ) . 'autoloader.php';
require_once plugin_dir_path( __FILE__ ) . 'plugin.php';
require_once plugin_dir_path( __FILE__ ) . '/utils/notice/notice.php';
require_once plugin_dir_path( __FILE__ ) . '/utils/banner/init.php';

// init notice class
\Oxaim\Libs\Notice::init();

// define plugin constants
Etn\Plugin::instance()->define_constants();

// load hook for post url flush rewrites
register_activation_hook( __FILE__, [Etn\Plugin::instance(), 'flush_rewrites'] );

// load plugin
add_action( 'plugins_loaded', function () {

    do_action( 'eventin/before_load' );

    // action plugin instance class
    Etn\Plugin::instance()->init();
    if( file_exists( ETN_DIR . '/core/woocommerce/etn_woocommerce.php' )){
        include_once ETN_DIR . '/core/woocommerce/etn_woocommerce.php';
    }

    do_action( 'eventin/after_load' );
}, 999 );
