<?php
if (!defined('ABSPATH')) exit;

use \Etn\Utils\Utilities as Utilities;
use \Etn\Utils\Helper as Helper;

$event_cat          = $settings["etn_event_cat"];
$event_tag          = $settings["etn_event_tag"];
$event_count        = $settings["etn_event_count"];
$etn_event_col      = $settings["etn_event_col"];
$etn_desc_limit     = $settings["etn_desc_limit"];
$order              = (isset($settings["order"]) ? $settings["order"] : 'DESC');

$date_options = Helper::get_date_formats();
$event_options = get_option("etn_event_options");
$data = Helper::post_data_query('etn', $event_count, $order, $event_cat, 'etn_category', null, null, $event_tag);
?>
<div class='etn-row etn-event-wrapper'>
    <?php
    if (!empty($data)) {
        foreach ($data as $value) {

            $social             = get_post_meta($value->ID, 'etn_event_socials', true);
            $etn_event_location = get_post_meta($value->ID, 'etn_event_location', true);
            $etn_start_date     = get_post_meta($value->ID, 'etn_start_date', true);
            $event_start_date   = isset($event_options["date_format"]) && $event_options["date_format"] !== '' ? date($date_options[$event_options["date_format"]], strtotime($etn_start_date)) : date('d/m/Y', strtotime($etn_start_date));
            $category           =  Utilities::cate_with_link($value->ID, 'etn_category');
            ?>
            <div class="etn-col-md-6 etn-col-lg-<?php echo esc_attr($etn_event_col); ?>">
                <div class="etn-event-item">
                    <!-- thumbnail -->
                    <?php if (get_the_post_thumbnail_url($value->ID)) { ?>
                        <div class="etn-event-thumb">
                            <a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>">
                                <img src="<?php echo esc_url(get_the_post_thumbnail_url($value->ID)); ?>" alt="<?php the_title_attribute($value->ID); ?>">
                            </a>
                            <div class="etn-event-category">
                                <?php echo  Helper::kses($category); ?>
                            </div>
                        </div>
                    <?php } ?>
                    <!-- thumbnail start-->

                    <!-- content start-->
                    <div class="etn-event-content">
                        <?php if (isset($etn_event_location) && $etn_event_location != '') { ?>
                            <div class="etn-event-location"><i class="fas fa-map-marker-alt"></i> <?php echo esc_html($etn_event_location); ?></div>
                        <?php } ?>
                        <h3 class="etn-title etn-event-title"><a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>"> <?php echo esc_html(get_the_title($value->ID)); ?></a> </h3>
                        <p><?php echo esc_html(Helper::trim_words($value->post_content, $etn_desc_limit)); ?></p>
                        <div class="etn-event-footer">
                            <div class="etn-event-date">
                                <i class="far fa-calendar-alt"></i>
                                <?php echo esc_html($event_start_date); ?>
                            </div>
                            <div class="etn-atend-btn">
                                <a href="<?php echo esc_url(get_the_permalink($value->ID)); ?>" class="etn-btn etn-btn-border"><?php echo esc_html__('attend', 'eventin') ?> <i class="fas fa-arrow-right"></i></a>
                            </div>
                        </div>
                    </div>
                    <!-- content end-->
                </div>
                <!-- etn event item end-->
            </div>
    <?php
        }
    } ?>
</div>